%define upstream_name	 YAML
%define upstream_version 0.84

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    YAML Ain't Markup Language (tm)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl-Test-Base >= 0.47
Provides:   perl-YAML-parser
BuildArch:  noarch

%description
The YAML.pm module implements a YAML Loader and Dumper based on the YAML 1.0
specification. http://www.yaml.org/spec/

YAML is a generic data serialization language that is optimized for human
readability. It can be used to express the data structures of most modern
programming languages. (Including Perl!!!)

For information on the YAML syntax, please refer to the YAML specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%check
%__make test

%install
%makeinstall_std

%files 
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/YAML*
%{perl_vendorlib}/Test/YAML*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.840.0-2.mga3
+ Revision: 375285
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.840.0-1.mga3
+ Revision: 295146
- update to 0.84

* Wed Jul 11 2012 jquelin <jquelin> 0.810.0-2.mga3
+ Revision: 269462
- fix yaml::any warning (patch by tom wyant)
- fix yaml::any warning
- fix yaml::any warning (patch by tom wyant)

* Tue Jun 05 2012 jquelin <jquelin> 0.810.0-1.mga3
+ Revision: 255675
- update to 0.81

* Thu Feb 23 2012 jquelin <jquelin> 0.800.0-1.mga2
+ Revision: 213292
- update to 0.80

* Thu Jan 05 2012 jquelin <jquelin> 0.780.0-1.mga2
+ Revision: 191343
- update to 0.78

* Thu Oct 13 2011 jquelin <jquelin> 0.770.0-1.mga2
+ Revision: 154509
- update to 0.77

* Tue Apr 19 2011 jquelin <jquelin> 0.730.0-1.mga1
+ Revision: 88580
- update to 0.73

* Wed Jan 19 2011 jquelin <jquelin> 0.720.0-2.mga1
+ Revision: 24287
- rebuild
- fix specs
- imported package perl-YAML

